Package org.eclipse.birt.core.ui.frameworks.taskwizard.composites

# Class NavTree

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.swt.widgets.Tree
org.eclipse.birt.core.ui.frameworks.taskwizard.composites.NavTree

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

public class NavTree extends org.eclipse.swt.widgets.Tree

Author:
  Actuate Corporation

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SEPARATOR`

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`NavTree(org.eclipse.swt.widgets.Composite parent, int style)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addNode(String nodePath)`
Adds nodes with full path.
`boolean`
`addNode(String nodePath, String displayName)`
Adds nodes with full path and display name.
`protected void`
`checkSubclass()`
`org.eclipse.swt.widgets.TreeItem`
`findTreeItem(String nodePath)`
Finds tree item according to full path.
`String`
`getNodePath(org.eclipse.swt.widgets.TreeItem item)`
Returns the full path of the node.

### Methods inherited from class org.eclipse.swt.widgets.Tree

`addSelectionListener, addTreeListener, clear, clearAll, deselect, deselectAll, getColumn, getColumnCount, getColumnOrder, getColumns, getGridLineWidth, getHeaderBackground, getHeaderForeground, getHeaderHeight, getHeaderVisible, getItem, getItem, getItemCount, getItemHeight, getItems, getLinesVisible, getParentItem, getSelection, getSelectionCount, getSortColumn, getSortDirection, getTopItem, indexOf, indexOf, removeAll, removeSelectionListener, removeTreeListener, select, selectAll, setColumnOrder, setFont, setHeaderBackground, setHeaderForeground, setHeaderVisible, setInsertMark, setItemCount, setLinesVisible, setRedraw, setSelection, setSelection, setSortColumn, setSortDirection, setTopItem, showColumn, showItem, showSelection`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Field Details

### SEPARATOR

public static final String SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### NavTree

public NavTree(org.eclipse.swt.widgets.Composite parent, int style)

## Method Details

### checkSubclass

protected void checkSubclass()

Overrides:
  `checkSubclass` in class `org.eclipse.swt.widgets.Tree`

### addNode

public boolean addNode(String nodePath, String displayName)
Adds nodes with full path and display name.

Parameters:
  `nodePath` - Full path is used to search. Every section of path is stored in item's data.
  `displayName` - Name is used to display only. If null or blank, use current path instead.

### addNode

public boolean addNode(String nodePath)
Adds nodes with full path.

Parameters:
  `nodePath` - Full path is used to search. Every section of path is stored in item's data.

### findTreeItem

public org.eclipse.swt.widgets.TreeItem findTreeItem(String nodePath)
Finds tree item according to full path.

Parameters:
  `nodePath` - Full path with `NavTree.SEPARATOR`.
Returns:
  TreeItem or null if not found

### getNodePath

public String getNodePath(org.eclipse.swt.widgets.TreeItem item)
Returns the full path of the node.

Returns:
  Full path of current node with `NavTree.SEPARATOR` separated